import request from '@/utils/request'
import {smart} from '@/api/commonApi'

// 单位信息分页列表
export function getPageList(data) {
  return request({
    url: smart + `/sys-org-info/getPageList`,
    method: 'post',
    data
  })
}

// 新增保存
export function saveOrgInfo(data) {
  return request({
    url: smart + `/sys-org-info/save`,
    method: 'post',
    data
  })
}

// 修改
export function updateById(data) {
  return request({
    url: smart + `/sys-org-info/update`,
    method: 'post',
    data
  })
}

// 删除
export function deleteById(id) {
  return request({
    url: smart + `/sys-org-info/deleteById/${id}`,
    method: 'get'
  })
}
